List custom domains
curl --request GET \
--url https://api.blaxel.ai/v0/customdomains \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/customdomains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/customdomains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "Preview Domain",
"labels": {},
"name": "preview.example.com",
"workspace": "<string>"
},
"spec": {
"cnameRecords": "<string>",
"lastVerifiedAt": "<string>",
"region": "us-pdx-1",
"status": "verified",
"txtRecords": {},
"verificationError": "<string>"
}
}
]customdomains
List custom domains
Returns all custom domains configured in the workspace. Custom domains allow serving preview deployments under your own domain (e.g., preview.yourdomain.com).
GET
/
customdomains
List custom domains
Last modified on May 27, 2026
Was this page helpful?
⌘I
